Jobs
Get all versions of an image
Returns all versions for a specific image_index across all group_index values. Useful for viewing regeneration history and selecting a specific version.
Note: Identity preprocessing jobs do not support image versioning.
AuthorizationBearer <token>
Token-based authentication using access tokens.
In: header
Path Parameters
job_idstring
image_indexinteger
Image index being queried
Format
int32Response Body
Examples
curl -X GET "https://v2.api.piktid.com/jobs/string/versions/0"{
"job_id": "string",
"image_index": 0,
"versions": [
{
"job_id": "string",
"image_index": 0,
"group_index": 0,
"version": 0,
"original_filename": "string",
"download_filename": null,
"inputs": [
{
"full_size": null,
"thumbnail": null
}
],
"output": {
"full_size": null,
"thumbnail": null
},
"input_description": {},
"status": "string",
"quality_score": 0,
"processing_time": 0,
"error_message": "string",
"feedback": "like",
"feedback_comment": "string",
"created_at": "string"
}
]
}{
"error": "Invalid request",
"detail": [
{
"field": null,
"message": "string",
"position": "query"
}
]
}Empty